# ``twisted`.`mail`.`interfaces`.`IMessageIMAP``

interface documentation

`class IMessageIMAP(IMessageIMAPPart): (source)`

View In Hierarchy

Undocumented

Method | `getFlags` | Retrieve the flags associated with this message.
Method | `getInternalDate` | Retrieve the date internally associated with this message.
Method | `getUID` | Retrieve the unique identifier associated with this message.

Inherited from `IMessageIMAPPart`:

Method | `getBodyFile` | Retrieve a file object containing only the body of this message.
Method | `getHeaders` | Retrieve a group of message headers.
Method | `getSize` | Retrieve the total size, in octets, of this message.
Method | `getSubPart` | Retrieve a MIME sub-message
Method | `isMultipart` | Indicate whether this message has subparts.

def getFlags(): (source)
Retrieve the flags associated with this message.

Returns
`iterable` | The flags, represented as strings.

def getInternalDate(): (source)
Retrieve the date internally associated with this message.

Returns
`bytes` | An RFC822-formatted date string.

def getUID(): (source)
Retrieve the unique identifier associated with this message.